aboutsummaryrefslogtreecommitdiffstats
path: root/create_arm_img_urpmi.sh
diff options
context:
space:
mode:
authorDaniel Tartavel <contact@librepc.com>2018-06-09 11:57:08 +0200
committerDaniel Tartavel <contact@librepc.com>2018-06-09 11:57:08 +0200
commit074e6a5e034651f9d0884a7b20711bd686c7e217 (patch)
treee72a2833b4e371465513bd3fa66eea8e69a1dd9a /create_arm_img_urpmi.sh
parentf1ff1b3d174713c6849f19bae82be0e1c8c756fe (diff)
downloadmageia4arm-074e6a5e034651f9d0884a7b20711bd686c7e217.tar
mageia4arm-074e6a5e034651f9d0884a7b20711bd686c7e217.tar.gz
mageia4arm-074e6a5e034651f9d0884a7b20711bd686c7e217.tar.bz2
mageia4arm-074e6a5e034651f9d0884a7b20711bd686c7e217.tar.xz
mageia4arm-074e6a5e034651f9d0884a7b20711bd686c7e217.zip
renamed raspi dir by rpi
Diffstat (limited to 'create_arm_img_urpmi.sh')
-rw-r--r--create_arm_img_urpmi.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/create_arm_img_urpmi.sh b/create_arm_img_urpmi.sh
index f3c58cb..d0014eb 100644
--- a/create_arm_img_urpmi.sh
+++ b/create_arm_img_urpmi.sh
@@ -622,8 +622,9 @@ BOOT="/mnt/boot"
ROOT="/mnt/root"
BUILD_PATH="$INSTALL_PATH/build"
ARM_VERSION="armv7hl"
+
if [ -z $CONFIG_PATH ];then
- CONFIG_PATH="./$SYSTEM"
+ CONFIG_PATH="./$TARGET"
fi
if [ -d "./$CONFIG_PATH" ];then
@@ -637,6 +638,8 @@ if [ -d "./$CONFIG_PATH" ];then
/usr/bin/cp ./config.template "./$CONFIG_PATH/config.txt"
fi
/usr/bin/cp ./config.template "./$CONFIG_PATH/config.txt"
+ warning "You need now to modify the config file and relaunch the script"
+ exit 1
fi
else
warning "Config directory does not exists, do you want i make it and copy the template file in? [Y|n] "
@@ -644,6 +647,7 @@ else
if [ -z $yn || $yn -eq "Y" || $yn -eq "y" ];then
/usr/bin/mkdir ./$CONFIG_PATH/
/usr/bin/cp ./config.template "./$CONFIG_PATH/config.txt"
+ warning "You need now to modify the config file and relaunch the script"
fi
fi